IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network35.167.4.0/24
Usable hosts254
Subnet mask255.255.255.0
Addresses256
- Network address
35.167.4.0- Broadcast address
35.167.4.255- First usable
35.167.4.1- Last usable
35.167.4.254- Usable hosts
- 254 (256 less the network and broadcast addresses)
- Subnet mask
255.255.255.0- Wildcard mask
0.0.0.255(Cisco ACLs, OSPF)- Prefix length
- /24
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
23A70400· Integer598148096to598148351 - Reverse DNS zone
4.167.35.in-addr.arpa
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00100011.10100111.00000100..00000000 | 35.167.4.0 |
| Subnet mask | 11111111.11111111.11111111..00000000 | 255.255.255.0 |
| Network | 00100011.10100111.00000100..00000000 | 35.167.4.0 |
| Broadcast | 00100011.10100111.00000100..11111111 | 35.167.4.255 |
Split into smaller subnets
35.167.4.0/24 makes 256 subnets of /32.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 35.167.4.0/32 | 35.167.4.0 to 35.167.4.0 | — | 1 |
| 2 | 35.167.4.1/32 | 35.167.4.1 to 35.167.4.1 | — | 1 |
| 3 | 35.167.4.2/32 | 35.167.4.2 to 35.167.4.2 | — | 1 |
| 4 | 35.167.4.3/32 | 35.167.4.3 to 35.167.4.3 | — | 1 |
| 5 | 35.167.4.4/32 | 35.167.4.4 to 35.167.4.4 | — | 1 |
| 6 | 35.167.4.5/32 | 35.167.4.5 to 35.167.4.5 | — | 1 |
| 7 | 35.167.4.6/32 | 35.167.4.6 to 35.167.4.6 | — | 1 |
| 8 | 35.167.4.7/32 | 35.167.4.7 to 35.167.4.7 | — | 1 |
| 9 | 35.167.4.8/32 | 35.167.4.8 to 35.167.4.8 | — | 1 |
| 10 | 35.167.4.9/32 | 35.167.4.9 to 35.167.4.9 | — | 1 |
| 11 | 35.167.4.10/32 | 35.167.4.10 to 35.167.4.10 | — | 1 |
| 12 | 35.167.4.11/32 | 35.167.4.11 to 35.167.4.11 | — | 1 |
| 13 | 35.167.4.12/32 | 35.167.4.12 to 35.167.4.12 | — | 1 |
| 14 | 35.167.4.13/32 | 35.167.4.13 to 35.167.4.13 | — | 1 |
| 15 | 35.167.4.14/32 | 35.167.4.14 to 35.167.4.14 | — | 1 |
| 16 | 35.167.4.15/32 | 35.167.4.15 to 35.167.4.15 | — | 1 |
| 17 | 35.167.4.16/32 | 35.167.4.16 to 35.167.4.16 | — | 1 |
| 18 | 35.167.4.17/32 | 35.167.4.17 to 35.167.4.17 | — | 1 |
| 19 | 35.167.4.18/32 | 35.167.4.18 to 35.167.4.18 | — | 1 |
| 20 | 35.167.4.19/32 | 35.167.4.19 to 35.167.4.19 | — | 1 |
| 21 | 35.167.4.20/32 | 35.167.4.20 to 35.167.4.20 | — | 1 |
| 22 | 35.167.4.21/32 | 35.167.4.21 to 35.167.4.21 | — | 1 |
| 23 | 35.167.4.22/32 | 35.167.4.22 to 35.167.4.22 | — | 1 |
| 24 | 35.167.4.23/32 | 35.167.4.23 to 35.167.4.23 | — | 1 |
| 25 | 35.167.4.24/32 | 35.167.4.24 to 35.167.4.24 | — | 1 |
| 26 | 35.167.4.25/32 | 35.167.4.25 to 35.167.4.25 | — | 1 |
| 27 | 35.167.4.26/32 | 35.167.4.26 to 35.167.4.26 | — | 1 |
| 28 | 35.167.4.27/32 | 35.167.4.27 to 35.167.4.27 | — | 1 |
| 29 | 35.167.4.28/32 | 35.167.4.28 to 35.167.4.28 | — | 1 |
| 30 | 35.167.4.29/32 | 35.167.4.29 to 35.167.4.29 | — | 1 |
| 31 | 35.167.4.30/32 | 35.167.4.30 to 35.167.4.30 | — | 1 |
| 32 | 35.167.4.31/32 | 35.167.4.31 to 35.167.4.31 | — | 1 |
| 33 | 35.167.4.32/32 | 35.167.4.32 to 35.167.4.32 | — | 1 |
| 34 | 35.167.4.33/32 | 35.167.4.33 to 35.167.4.33 | — | 1 |
| 35 | 35.167.4.34/32 | 35.167.4.34 to 35.167.4.34 | — | 1 |
| 36 | 35.167.4.35/32 | 35.167.4.35 to 35.167.4.35 | — | 1 |
| 37 | 35.167.4.36/32 | 35.167.4.36 to 35.167.4.36 | — | 1 |
| 38 | 35.167.4.37/32 | 35.167.4.37 to 35.167.4.37 | — | 1 |
| 39 | 35.167.4.38/32 | 35.167.4.38 to 35.167.4.38 | — | 1 |
| 40 | 35.167.4.39/32 | 35.167.4.39 to 35.167.4.39 | — | 1 |
| 41 | 35.167.4.40/32 | 35.167.4.40 to 35.167.4.40 | — | 1 |
| 42 | 35.167.4.41/32 | 35.167.4.41 to 35.167.4.41 | — | 1 |
| 43 | 35.167.4.42/32 | 35.167.4.42 to 35.167.4.42 | — | 1 |
| 44 | 35.167.4.43/32 | 35.167.4.43 to 35.167.4.43 | — | 1 |
| 45 | 35.167.4.44/32 | 35.167.4.44 to 35.167.4.44 | — | 1 |
| 46 | 35.167.4.45/32 | 35.167.4.45 to 35.167.4.45 | — | 1 |
| 47 | 35.167.4.46/32 | 35.167.4.46 to 35.167.4.46 | — | 1 |
| 48 | 35.167.4.47/32 | 35.167.4.47 to 35.167.4.47 | — | 1 |
| 49 | 35.167.4.48/32 | 35.167.4.48 to 35.167.4.48 | — | 1 |
| 50 | 35.167.4.49/32 | 35.167.4.49 to 35.167.4.49 | — | 1 |
| 51 | 35.167.4.50/32 | 35.167.4.50 to 35.167.4.50 | — | 1 |
| 52 | 35.167.4.51/32 | 35.167.4.51 to 35.167.4.51 | — | 1 |
| 53 | 35.167.4.52/32 | 35.167.4.52 to 35.167.4.52 | — | 1 |
| 54 | 35.167.4.53/32 | 35.167.4.53 to 35.167.4.53 | — | 1 |
| 55 | 35.167.4.54/32 | 35.167.4.54 to 35.167.4.54 | — | 1 |
| 56 | 35.167.4.55/32 | 35.167.4.55 to 35.167.4.55 | — | 1 |
| 57 | 35.167.4.56/32 | 35.167.4.56 to 35.167.4.56 | — | 1 |
| 58 | 35.167.4.57/32 | 35.167.4.57 to 35.167.4.57 | — | 1 |
| 59 | 35.167.4.58/32 | 35.167.4.58 to 35.167.4.58 | — | 1 |
| 60 | 35.167.4.59/32 | 35.167.4.59 to 35.167.4.59 | — | 1 |
| 61 | 35.167.4.60/32 | 35.167.4.60 to 35.167.4.60 | — | 1 |
| 62 | 35.167.4.61/32 | 35.167.4.61 to 35.167.4.61 | — | 1 |
| 63 | 35.167.4.62/32 | 35.167.4.62 to 35.167.4.62 | — | 1 |
| 64 | 35.167.4.63/32 | 35.167.4.63 to 35.167.4.63 | — | 1 |
| 65 | 35.167.4.64/32 | 35.167.4.64 to 35.167.4.64 | — | 1 |
| 66 | 35.167.4.65/32 | 35.167.4.65 to 35.167.4.65 | — | 1 |
| 67 | 35.167.4.66/32 | 35.167.4.66 to 35.167.4.66 | — | 1 |
| 68 | 35.167.4.67/32 | 35.167.4.67 to 35.167.4.67 | — | 1 |
| 69 | 35.167.4.68/32 | 35.167.4.68 to 35.167.4.68 | — | 1 |
| 70 | 35.167.4.69/32 | 35.167.4.69 to 35.167.4.69 | — | 1 |
| 71 | 35.167.4.70/32 | 35.167.4.70 to 35.167.4.70 | — | 1 |
| 72 | 35.167.4.71/32 | 35.167.4.71 to 35.167.4.71 | — | 1 |
| 73 | 35.167.4.72/32 | 35.167.4.72 to 35.167.4.72 | — | 1 |
| 74 | 35.167.4.73/32 | 35.167.4.73 to 35.167.4.73 | — | 1 |
| 75 | 35.167.4.74/32 | 35.167.4.74 to 35.167.4.74 | — | 1 |
| 76 | 35.167.4.75/32 | 35.167.4.75 to 35.167.4.75 | — | 1 |
| 77 | 35.167.4.76/32 | 35.167.4.76 to 35.167.4.76 | — | 1 |
| 78 | 35.167.4.77/32 | 35.167.4.77 to 35.167.4.77 | — | 1 |
| 79 | 35.167.4.78/32 | 35.167.4.78 to 35.167.4.78 | — | 1 |
| 80 | 35.167.4.79/32 | 35.167.4.79 to 35.167.4.79 | — | 1 |
| 81 | 35.167.4.80/32 | 35.167.4.80 to 35.167.4.80 | — | 1 |
| 82 | 35.167.4.81/32 | 35.167.4.81 to 35.167.4.81 | — | 1 |
| 83 | 35.167.4.82/32 | 35.167.4.82 to 35.167.4.82 | — | 1 |
| 84 | 35.167.4.83/32 | 35.167.4.83 to 35.167.4.83 | — | 1 |
| 85 | 35.167.4.84/32 | 35.167.4.84 to 35.167.4.84 | — | 1 |
| 86 | 35.167.4.85/32 | 35.167.4.85 to 35.167.4.85 | — | 1 |
| 87 | 35.167.4.86/32 | 35.167.4.86 to 35.167.4.86 | — | 1 |
| 88 | 35.167.4.87/32 | 35.167.4.87 to 35.167.4.87 | — | 1 |
| 89 | 35.167.4.88/32 | 35.167.4.88 to 35.167.4.88 | — | 1 |
| 90 | 35.167.4.89/32 | 35.167.4.89 to 35.167.4.89 | — | 1 |
| 91 | 35.167.4.90/32 | 35.167.4.90 to 35.167.4.90 | — | 1 |
| 92 | 35.167.4.91/32 | 35.167.4.91 to 35.167.4.91 | — | 1 |
| 93 | 35.167.4.92/32 | 35.167.4.92 to 35.167.4.92 | — | 1 |
| 94 | 35.167.4.93/32 | 35.167.4.93 to 35.167.4.93 | — | 1 |
| 95 | 35.167.4.94/32 | 35.167.4.94 to 35.167.4.94 | — | 1 |
| 96 | 35.167.4.95/32 | 35.167.4.95 to 35.167.4.95 | — | 1 |
| 97 | 35.167.4.96/32 | 35.167.4.96 to 35.167.4.96 | — | 1 |
| 98 | 35.167.4.97/32 | 35.167.4.97 to 35.167.4.97 | — | 1 |
| 99 | 35.167.4.98/32 | 35.167.4.98 to 35.167.4.98 | — | 1 |
| 100 | 35.167.4.99/32 | 35.167.4.99 to 35.167.4.99 | — | 1 |
| 101 | 35.167.4.100/32 | 35.167.4.100 to 35.167.4.100 | — | 1 |
| 102 | 35.167.4.101/32 | 35.167.4.101 to 35.167.4.101 | — | 1 |
| 103 | 35.167.4.102/32 | 35.167.4.102 to 35.167.4.102 | — | 1 |
| 104 | 35.167.4.103/32 | 35.167.4.103 to 35.167.4.103 | — | 1 |
| 105 | 35.167.4.104/32 | 35.167.4.104 to 35.167.4.104 | — | 1 |
| 106 | 35.167.4.105/32 | 35.167.4.105 to 35.167.4.105 | — | 1 |
| 107 | 35.167.4.106/32 | 35.167.4.106 to 35.167.4.106 | — | 1 |
| 108 | 35.167.4.107/32 | 35.167.4.107 to 35.167.4.107 | — | 1 |
| 109 | 35.167.4.108/32 | 35.167.4.108 to 35.167.4.108 | — | 1 |
| 110 | 35.167.4.109/32 | 35.167.4.109 to 35.167.4.109 | — | 1 |
| 111 | 35.167.4.110/32 | 35.167.4.110 to 35.167.4.110 | — | 1 |
| 112 | 35.167.4.111/32 | 35.167.4.111 to 35.167.4.111 | — | 1 |
| 113 | 35.167.4.112/32 | 35.167.4.112 to 35.167.4.112 | — | 1 |
| 114 | 35.167.4.113/32 | 35.167.4.113 to 35.167.4.113 | — | 1 |
| 115 | 35.167.4.114/32 | 35.167.4.114 to 35.167.4.114 | — | 1 |
| 116 | 35.167.4.115/32 | 35.167.4.115 to 35.167.4.115 | — | 1 |
| 117 | 35.167.4.116/32 | 35.167.4.116 to 35.167.4.116 | — | 1 |
| 118 | 35.167.4.117/32 | 35.167.4.117 to 35.167.4.117 | — | 1 |
| 119 | 35.167.4.118/32 | 35.167.4.118 to 35.167.4.118 | — | 1 |
| 120 | 35.167.4.119/32 | 35.167.4.119 to 35.167.4.119 | — | 1 |
| 121 | 35.167.4.120/32 | 35.167.4.120 to 35.167.4.120 | — | 1 |
| 122 | 35.167.4.121/32 | 35.167.4.121 to 35.167.4.121 | — | 1 |
| 123 | 35.167.4.122/32 | 35.167.4.122 to 35.167.4.122 | — | 1 |
| 124 | 35.167.4.123/32 | 35.167.4.123 to 35.167.4.123 | — | 1 |
| 125 | 35.167.4.124/32 | 35.167.4.124 to 35.167.4.124 | — | 1 |
| 126 | 35.167.4.125/32 | 35.167.4.125 to 35.167.4.125 | — | 1 |
| 127 | 35.167.4.126/32 | 35.167.4.126 to 35.167.4.126 | — | 1 |
| 128 | 35.167.4.127/32 | 35.167.4.127 to 35.167.4.127 | — | 1 |
| 129 | 35.167.4.128/32 | 35.167.4.128 to 35.167.4.128 | — | 1 |
| 130 | 35.167.4.129/32 | 35.167.4.129 to 35.167.4.129 | — | 1 |
| 131 | 35.167.4.130/32 | 35.167.4.130 to 35.167.4.130 | — | 1 |
| 132 | 35.167.4.131/32 | 35.167.4.131 to 35.167.4.131 | — | 1 |
| 133 | 35.167.4.132/32 | 35.167.4.132 to 35.167.4.132 | — | 1 |
| 134 | 35.167.4.133/32 | 35.167.4.133 to 35.167.4.133 | — | 1 |
| 135 | 35.167.4.134/32 | 35.167.4.134 to 35.167.4.134 | — | 1 |
| 136 | 35.167.4.135/32 | 35.167.4.135 to 35.167.4.135 | — | 1 |
| 137 | 35.167.4.136/32 | 35.167.4.136 to 35.167.4.136 | — | 1 |
| 138 | 35.167.4.137/32 | 35.167.4.137 to 35.167.4.137 | — | 1 |
| 139 | 35.167.4.138/32 | 35.167.4.138 to 35.167.4.138 | — | 1 |
| 140 | 35.167.4.139/32 | 35.167.4.139 to 35.167.4.139 | — | 1 |
| 141 | 35.167.4.140/32 | 35.167.4.140 to 35.167.4.140 | — | 1 |
| 142 | 35.167.4.141/32 | 35.167.4.141 to 35.167.4.141 | — | 1 |
| 143 | 35.167.4.142/32 | 35.167.4.142 to 35.167.4.142 | — | 1 |
| 144 | 35.167.4.143/32 | 35.167.4.143 to 35.167.4.143 | — | 1 |
| 145 | 35.167.4.144/32 | 35.167.4.144 to 35.167.4.144 | — | 1 |
| 146 | 35.167.4.145/32 | 35.167.4.145 to 35.167.4.145 | — | 1 |
| 147 | 35.167.4.146/32 | 35.167.4.146 to 35.167.4.146 | — | 1 |
| 148 | 35.167.4.147/32 | 35.167.4.147 to 35.167.4.147 | — | 1 |
| 149 | 35.167.4.148/32 | 35.167.4.148 to 35.167.4.148 | — | 1 |
| 150 | 35.167.4.149/32 | 35.167.4.149 to 35.167.4.149 | — | 1 |
| 151 | 35.167.4.150/32 | 35.167.4.150 to 35.167.4.150 | — | 1 |
| 152 | 35.167.4.151/32 | 35.167.4.151 to 35.167.4.151 | — | 1 |
| 153 | 35.167.4.152/32 | 35.167.4.152 to 35.167.4.152 | — | 1 |
| 154 | 35.167.4.153/32 | 35.167.4.153 to 35.167.4.153 | — | 1 |
| 155 | 35.167.4.154/32 | 35.167.4.154 to 35.167.4.154 | — | 1 |
| 156 | 35.167.4.155/32 | 35.167.4.155 to 35.167.4.155 | — | 1 |
| 157 | 35.167.4.156/32 | 35.167.4.156 to 35.167.4.156 | — | 1 |
| 158 | 35.167.4.157/32 | 35.167.4.157 to 35.167.4.157 | — | 1 |
| 159 | 35.167.4.158/32 | 35.167.4.158 to 35.167.4.158 | — | 1 |
| 160 | 35.167.4.159/32 | 35.167.4.159 to 35.167.4.159 | — | 1 |
| 161 | 35.167.4.160/32 | 35.167.4.160 to 35.167.4.160 | — | 1 |
| 162 | 35.167.4.161/32 | 35.167.4.161 to 35.167.4.161 | — | 1 |
| 163 | 35.167.4.162/32 | 35.167.4.162 to 35.167.4.162 | — | 1 |
| 164 | 35.167.4.163/32 | 35.167.4.163 to 35.167.4.163 | — | 1 |
| 165 | 35.167.4.164/32 | 35.167.4.164 to 35.167.4.164 | — | 1 |
| 166 | 35.167.4.165/32 | 35.167.4.165 to 35.167.4.165 | — | 1 |
| 167 | 35.167.4.166/32 | 35.167.4.166 to 35.167.4.166 | — | 1 |
| 168 | 35.167.4.167/32 | 35.167.4.167 to 35.167.4.167 | — | 1 |
| 169 | 35.167.4.168/32 | 35.167.4.168 to 35.167.4.168 | — | 1 |
| 170 | 35.167.4.169/32 | 35.167.4.169 to 35.167.4.169 | — | 1 |
| 171 | 35.167.4.170/32 | 35.167.4.170 to 35.167.4.170 | — | 1 |
| 172 | 35.167.4.171/32 | 35.167.4.171 to 35.167.4.171 | — | 1 |
| 173 | 35.167.4.172/32 | 35.167.4.172 to 35.167.4.172 | — | 1 |
| 174 | 35.167.4.173/32 | 35.167.4.173 to 35.167.4.173 | — | 1 |
| 175 | 35.167.4.174/32 | 35.167.4.174 to 35.167.4.174 | — | 1 |
| 176 | 35.167.4.175/32 | 35.167.4.175 to 35.167.4.175 | — | 1 |
| 177 | 35.167.4.176/32 | 35.167.4.176 to 35.167.4.176 | — | 1 |
| 178 | 35.167.4.177/32 | 35.167.4.177 to 35.167.4.177 | — | 1 |
| 179 | 35.167.4.178/32 | 35.167.4.178 to 35.167.4.178 | — | 1 |
| 180 | 35.167.4.179/32 | 35.167.4.179 to 35.167.4.179 | — | 1 |
| 181 | 35.167.4.180/32 | 35.167.4.180 to 35.167.4.180 | — | 1 |
| 182 | 35.167.4.181/32 | 35.167.4.181 to 35.167.4.181 | — | 1 |
| 183 | 35.167.4.182/32 | 35.167.4.182 to 35.167.4.182 | — | 1 |
| 184 | 35.167.4.183/32 | 35.167.4.183 to 35.167.4.183 | — | 1 |
| 185 | 35.167.4.184/32 | 35.167.4.184 to 35.167.4.184 | — | 1 |
| 186 | 35.167.4.185/32 | 35.167.4.185 to 35.167.4.185 | — | 1 |
| 187 | 35.167.4.186/32 | 35.167.4.186 to 35.167.4.186 | — | 1 |
| 188 | 35.167.4.187/32 | 35.167.4.187 to 35.167.4.187 | — | 1 |
| 189 | 35.167.4.188/32 | 35.167.4.188 to 35.167.4.188 | — | 1 |
| 190 | 35.167.4.189/32 | 35.167.4.189 to 35.167.4.189 | — | 1 |
| 191 | 35.167.4.190/32 | 35.167.4.190 to 35.167.4.190 | — | 1 |
| 192 | 35.167.4.191/32 | 35.167.4.191 to 35.167.4.191 | — | 1 |
| 193 | 35.167.4.192/32 | 35.167.4.192 to 35.167.4.192 | — | 1 |
| 194 | 35.167.4.193/32 | 35.167.4.193 to 35.167.4.193 | — | 1 |
| 195 | 35.167.4.194/32 | 35.167.4.194 to 35.167.4.194 | — | 1 |
| 196 | 35.167.4.195/32 | 35.167.4.195 to 35.167.4.195 | — | 1 |
| 197 | 35.167.4.196/32 | 35.167.4.196 to 35.167.4.196 | — | 1 |
| 198 | 35.167.4.197/32 | 35.167.4.197 to 35.167.4.197 | — | 1 |
| 199 | 35.167.4.198/32 | 35.167.4.198 to 35.167.4.198 | — | 1 |
| 200 | 35.167.4.199/32 | 35.167.4.199 to 35.167.4.199 | — | 1 |
| 201 | 35.167.4.200/32 | 35.167.4.200 to 35.167.4.200 | — | 1 |
| 202 | 35.167.4.201/32 | 35.167.4.201 to 35.167.4.201 | — | 1 |
| 203 | 35.167.4.202/32 | 35.167.4.202 to 35.167.4.202 | — | 1 |
| 204 | 35.167.4.203/32 | 35.167.4.203 to 35.167.4.203 | — | 1 |
| 205 | 35.167.4.204/32 | 35.167.4.204 to 35.167.4.204 | — | 1 |
| 206 | 35.167.4.205/32 | 35.167.4.205 to 35.167.4.205 | — | 1 |
| 207 | 35.167.4.206/32 | 35.167.4.206 to 35.167.4.206 | — | 1 |
| 208 | 35.167.4.207/32 | 35.167.4.207 to 35.167.4.207 | — | 1 |
| 209 | 35.167.4.208/32 | 35.167.4.208 to 35.167.4.208 | — | 1 |
| 210 | 35.167.4.209/32 | 35.167.4.209 to 35.167.4.209 | — | 1 |
| 211 | 35.167.4.210/32 | 35.167.4.210 to 35.167.4.210 | — | 1 |
| 212 | 35.167.4.211/32 | 35.167.4.211 to 35.167.4.211 | — | 1 |
| 213 | 35.167.4.212/32 | 35.167.4.212 to 35.167.4.212 | — | 1 |
| 214 | 35.167.4.213/32 | 35.167.4.213 to 35.167.4.213 | — | 1 |
| 215 | 35.167.4.214/32 | 35.167.4.214 to 35.167.4.214 | — | 1 |
| 216 | 35.167.4.215/32 | 35.167.4.215 to 35.167.4.215 | — | 1 |
| 217 | 35.167.4.216/32 | 35.167.4.216 to 35.167.4.216 | — | 1 |
| 218 | 35.167.4.217/32 | 35.167.4.217 to 35.167.4.217 | — | 1 |
| 219 | 35.167.4.218/32 | 35.167.4.218 to 35.167.4.218 | — | 1 |
| 220 | 35.167.4.219/32 | 35.167.4.219 to 35.167.4.219 | — | 1 |
| 221 | 35.167.4.220/32 | 35.167.4.220 to 35.167.4.220 | — | 1 |
| 222 | 35.167.4.221/32 | 35.167.4.221 to 35.167.4.221 | — | 1 |
| 223 | 35.167.4.222/32 | 35.167.4.222 to 35.167.4.222 | — | 1 |
| 224 | 35.167.4.223/32 | 35.167.4.223 to 35.167.4.223 | — | 1 |
| 225 | 35.167.4.224/32 | 35.167.4.224 to 35.167.4.224 | — | 1 |
| 226 | 35.167.4.225/32 | 35.167.4.225 to 35.167.4.225 | — | 1 |
| 227 | 35.167.4.226/32 | 35.167.4.226 to 35.167.4.226 | — | 1 |
| 228 | 35.167.4.227/32 | 35.167.4.227 to 35.167.4.227 | — | 1 |
| 229 | 35.167.4.228/32 | 35.167.4.228 to 35.167.4.228 | — | 1 |
| 230 | 35.167.4.229/32 | 35.167.4.229 to 35.167.4.229 | — | 1 |
| 231 | 35.167.4.230/32 | 35.167.4.230 to 35.167.4.230 | — | 1 |
| 232 | 35.167.4.231/32 | 35.167.4.231 to 35.167.4.231 | — | 1 |
| 233 | 35.167.4.232/32 | 35.167.4.232 to 35.167.4.232 | — | 1 |
| 234 | 35.167.4.233/32 | 35.167.4.233 to 35.167.4.233 | — | 1 |
| 235 | 35.167.4.234/32 | 35.167.4.234 to 35.167.4.234 | — | 1 |
| 236 | 35.167.4.235/32 | 35.167.4.235 to 35.167.4.235 | — | 1 |
| 237 | 35.167.4.236/32 | 35.167.4.236 to 35.167.4.236 | — | 1 |
| 238 | 35.167.4.237/32 | 35.167.4.237 to 35.167.4.237 | — | 1 |
| 239 | 35.167.4.238/32 | 35.167.4.238 to 35.167.4.238 | — | 1 |
| 240 | 35.167.4.239/32 | 35.167.4.239 to 35.167.4.239 | — | 1 |
| 241 | 35.167.4.240/32 | 35.167.4.240 to 35.167.4.240 | — | 1 |
| 242 | 35.167.4.241/32 | 35.167.4.241 to 35.167.4.241 | — | 1 |
| 243 | 35.167.4.242/32 | 35.167.4.242 to 35.167.4.242 | — | 1 |
| 244 | 35.167.4.243/32 | 35.167.4.243 to 35.167.4.243 | — | 1 |
| 245 | 35.167.4.244/32 | 35.167.4.244 to 35.167.4.244 | — | 1 |
| 246 | 35.167.4.245/32 | 35.167.4.245 to 35.167.4.245 | — | 1 |
| 247 | 35.167.4.246/32 | 35.167.4.246 to 35.167.4.246 | — | 1 |
| 248 | 35.167.4.247/32 | 35.167.4.247 to 35.167.4.247 | — | 1 |
| 249 | 35.167.4.248/32 | 35.167.4.248 to 35.167.4.248 | — | 1 |
| 250 | 35.167.4.249/32 | 35.167.4.249 to 35.167.4.249 | — | 1 |
| 251 | 35.167.4.250/32 | 35.167.4.250 to 35.167.4.250 | — | 1 |
| 252 | 35.167.4.251/32 | 35.167.4.251 to 35.167.4.251 | — | 1 |
| 253 | 35.167.4.252/32 | 35.167.4.252 to 35.167.4.252 | — | 1 |
| 254 | 35.167.4.253/32 | 35.167.4.253 to 35.167.4.253 | — | 1 |
| 255 | 35.167.4.254/32 | 35.167.4.254 to 35.167.4.254 | — | 1 |
| 256 | 35.167.4.255/32 | 35.167.4.255 to 35.167.4.255 | — | 1 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |